<div class="msg-pop orderinfo">
  <div>
    <h3>Vehicle</h3>
  </div>
</div>
<div>
  <div class="pop--inner">
    <form [formGroup]="editForm" (ngSubmit)="updateVehicles();"  class="form-horizontal">
      <div class="row div-scroll" >
        <mat-chip-list #chipList2 aria-orientation="vertical">
          <mat-chip *ngFor="let vehicleData of vehicleFilter;" [selectable]="selectable"
                   [removable]="removable" (removed)="removeVehicle(vehicleData)" style="font-size:10px;">
                   {{vehicleData.display_name}}
          <mat-icon matChipRemove class="fa fa-times-circle"></mat-icon>
          </mat-chip>
          <br/>
          <input 
          class="form-control custom-class-border"
                 [formControl]="vehicleCtrl"
                 placeholder="Select vehicle"
                 [matChipInputFor]="chipList2"
                 [matAutocomplete]="auto3"
                 >
        </mat-chip-list>
        <mat-autocomplete #auto3="matAutocomplete" [displayWith]="displayFnVehicleId" (optionSelected)="vehicleIdselected($event)">
          <mat-option *ngFor="let vehicle of vehiclesData" [value]="vehicle">
            {{vehicle.display_name}}
          </mat-option>
        </mat-autocomplete>
      </div>
        <div class="pop-btn text-right">
        <span class="red">{{invalid}}</span>
        <button class="btn btn-sm btn-primary blue" type="submit" >Save</button>
        <button class="btn btn-sm btn-primary red" type="button" (click)="closePop()">Cancel</button>
      </div>
     </form>
  </div>
</div>
